S3QL_OAUTH_CLIENT(1)

NAME
s3ql_oauth_client - Obtain Google Storage OAuth2 tokens

SYNOPSIS

s3ql_oauth_client [options]

DESCRIPTION

S3QL is a file system for online data storage. Before using S3QL, make sure to consult the full documentation (rather than just the man pages which only briefly document the available userspace commands).

The s3ql_oauth_client command may be used to obtain OAuth2 authentication tokens for use with Google Storage. It requests “user code” from Google which has to be pasted into the browser to complete the authentication process interactively. Once authentication in the browser has been completed, s3ql_oauth_client displays the OAuth2 refresh token.

When combined with the special username oauth2, the refresh token can be used as a backend passphrase when using the Google Storage S3QL backend.

OPTIONS

The s3ql_oauth_client command accepts the following options:

EXIT CODES

s3ql_oauth_client may terminate with the following exit codes:

0   Everything went well.

1   An unexpected error occured. This may indicate a bug in the program.

2   Invalid command line argument or configuration file key.

SEE ALSO

The S3QL homepage is at https://github.com/s3ql/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, common locations are /usr/share/doc/s3ql or /usr/local/doc/s3ql.

COPYRIGHT
© 2008 Nikolaus Rath <Nikolaus@rath.org>